define game <Easy Money>
	asl-version <210>
	game version <1.0>
	game author <Keyz Karanza>
	game copyright < Keyz Video Unlimited>
	game info <>
	start <Stock Exchange>
	default fontname <Comic Sans MS>
	default fontsize <10>
	command <help> displaytext <help>
	collectables <Money dp=100 [! Dollars]; Score p=1000 [! Points]; BCBBstock dp=0 [! BCBB shares]; BCBBstat n=10 []; BCBBchange n=0 []; LJADstock dp=0 [! LJAD shares]; LJADstat n=10 []; LJADchange n=0 []; PFPCstock dp=0 [! PFPC shares]; PFPCstat n=10 []; PFPCchange n=0 []; PMDTstock dp=0 [! PMDT shares]; PMDTstat n=10 []; PMDTchange n=0 []; SBFDstock dp=0 [! SBFD shares]; SBFDstat n=10 []; SBFDchange n=0 []; SCPRstock dp=0 [! SCPR shares]; SCPRstat n=10 []; SCPRchange n=0 []; SOHTstock dp=0 [! SOHT shares]; SOHTstat n=10 []; SOHTchange n=0 []; TLBBstock dp=0 [! TLBB shares]; TLBBstat n=10 []; TLBBchange n=0 []; BuyChoice dp=0 []; BuyNumber dp=0 []; BuyCost dp=0 []; SellChoice dp=0 []; SellNumber dp=0 []>
	afterturn {
	if has <Money; +4999> then do <winner>
	if is <#quest.currentroom#;the street> then playerlose
	}
end define




define room <Stock Exchange>
prefix <the>
out <the street>
command <Buy> do <BuyProc>
command <Sell> do <SellProc>
command <Next> do <NextProc>
end define

define room <the street>

end define



define procedure <NextProc>
set <Score; -8>
do <StockReport>
end define


define procedure <BuyProc>
choose <BuyWhichCo>
end define
	
define selection <BuyWhichCo>
	info <From which company do you wish to purchase stock?>
	choice <Bloated Colon Baked Beans> {
	set <BuyChoice; =1>
	do <BuyShareNo>
	}
	choice <Laughin Jacks Antidepressants> {
	set <BuyChoice; =2>
	do <BuyShareNo>
	}
	choice <Pizza Face Pimple Cream> {
	set <BuyChoice; =3>
	do <BuyShareNo>
	}
	choice <Psycho Mutt Dog Treats> {
	set <BuyChoice; =4>
	do <BuyShareNo>
	}
	choice <Sea Bass Feminine Deodorant> {
	set <BuyChoice; =5>
	do <BuyShareNo>
	}
	choice <Skull Crusher Pain Reliever> {
	set <BuyChoice; =6>
	do <BuyShareNo>
	}
	choice <Sinead O Conner Hair Tonic> {
	set <BuyChoice; =7>
	do <BuyShareNo>
	}
	choice <Tough Luck Bail Bonds> {
	set <BuyChoice; =8>
	do <BuyShareNo>
	}
	
end define

define procedure <BuyShareNo>
	msg <How many shares do you wish to purchase?>
	enter <BuyString>
	set <BuyNumber; =#BuyString#>
	do <FinalizeBuy>
end define

define procedure <FinalizeBuy>
	if has <BuyChoice; =1> then do <RingMeUpBCBB>
	if has <BuyChoice; =2> then do <RingMeUpLJAD>
	if has <BuyChoice; =3> then do <RingMeUpPFPC>
	if has <BuyChoice; =4> then do <RingMeUpPMDT>
	if has <BuyChoice; =5> then do <RingMeUpSBFD>
	if has <BuyChoice; =6> then do <RingMeUpSCPR>
	if has <BuyChoice; =7> then do <RingMeUpSOHT>
	if has <BuyChoice; =8> then do <RingMeUpTLBB>
end define

define procedure <RingMeUpBCBB>
	setvar <Cost; ~BuyNumber~*~BCBBstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpBCBBFinal>
end define

define procedure <RingMeUpBCBBFinal>
	set <Money; -%Cost%>
	set <BCBBstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpLJAD>
	setvar <Cost; ~BuyNumber~*~LJADstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpLJADFinal>
end define

define procedure <RingMeUpLJADFinal>
	set <Money; -%Cost%>
	set <LJADstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpPFPC>
	setvar <Cost; ~BuyNumber~*~PFPCstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpPFPCFinal>
end define

define procedure <RingMeUpPFPCFinal>
	set <Money; -%Cost%>
	set <PFPCstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpPMDT>
	setvar <Cost; ~BuyNumber~*~PMDTstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpPMDTFinal>
end define

define procedure <RingMeUpPMDTFinal>
	set <Money; -%Cost%>
	set <PMDTstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpSBFD>
	setvar <Cost; ~BuyNumber~*~SBFDstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpSBFDFinal>
end define

define procedure <RingMeUpSBFDFinal>
	set <Money; -%Cost%>
	set <SBFDstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpSCPR>
	setvar <Cost; ~BuyNumber~*~SCPRstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpSCPRFinal>
end define

define procedure <RingMeUpSCPRFinal>
	set <Money; -%Cost%>
	set <SCPRstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpSOHT>
	setvar <Cost; ~BuyNumber~*~SOHTstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpSOHTFinal>
end define

define procedure <RingMeUpSOHTFinal>
	set <Money; -%Cost%>
	set <SOHTstock; +~BuyNumber~>
	}
end define

define procedure <RingMeUpTLBB>
	setvar <Cost; ~BuyNumber~*~TLBBstat~> 
	if has <Money; -%Cost%> then msg <You don't have enough money!> else do <RingMeUpTLBBFinal>
end define

define procedure <RingMeUpTLBBFinal>
	set <Money; -%Cost%>
	set <TLBBstock; +~BuyNumber~>
	}
end define




define procedure <SellProc>
choose <SellWhichCo>
end define

define selection <SellWhichCo>
	info <To which company do you wish to sell back stock?>
	choice <Bloated Colon Baked Beans> {
	set <SellChoice; =1>
	do <SellShareNo>
	}
	choice <Laughin Jacks Antidepressants> {
	set <SellChoice; =2>
	do <SellShareNo>
	}
	choice <Pizza Face Pimple Cream> {
	set <SellChoice; =3>
	do <SellShareNo>
	}
	choice <Psycho Mutt Dog Treats> {
	set <SellChoice; =4>
	do <SellShareNo>
	}
	choice <Sea Bass Feminine Deodorant> {
	set <SellChoice; =5>
	do <SellShareNo>
	}
	choice <Skull Crusher Pain Reliever> {
	set <SellChoice; =6>
	do <SellShareNo>
	}
	choice <Sinead O Conner Hair Tonic> {
	set <SellChoice; =7>
	do <SellShareNo>
	}
	choice <Tough Luck Bail Bonds> {
	set <SellChoice; =8>
	do <SellShareNo>
	}
	
end define

define procedure <SellShareNo>
	msg <How many shares do you wish to sell back?>
	enter <SellString>
	set <SellNumber; =#SellString#>
	do <FinalizeSell>
end define


define procedure <FinalizeSell>
	if has <SellChoice; =1> then do <RingMeOutBCBB>
	if has <SellChoice; =2> then do <RingMeOutLJAD>
	if has <SellChoice; =3> then do <RingMeOutPFPC>
	if has <SellChoice; =4> then do <RingMeOutPMDT>
	if has <SellChoice; =5> then do <RingMeOutSBFD>
	if has <SellChoice; =6> then do <RingMeOutSCPR>
	if has <SellChoice; =7> then do <RingMeOutSOHT>
	if has <SellChoice; =8> then do <RingMeOutTLBB>
end define

define procedure <RingMeOutBCBB>
	setvar <Refund; ~SellNumber~*~BCBBstat~> 
	if has <BCBBstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutBCBBFinal>
end define

define procedure <RingMeOutBCBBFinal>
	set <Money; +%Refund%>
	set <BCBBstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutLJAD>
	setvar <Refund; ~SellNumber~*~LJADstat~> 
	if has <LJADstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutLJADFinal>
end define

define procedure <RingMeOutLJADFinal>
	set <Money; +%Refund%>
	set <LJADstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutPFPC>
	setvar <Refund; ~SellNumber~*~PFPCstat~> 
	if has <PFPCstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutPFPCFinal>
end define

define procedure <RingMeOutPFPCFinal>
	set <Money; +%Refund%>
	set <PFPCstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutPMDT>
	setvar <Refund; ~SellNumber~*~PMDTstat~> 
	if has <PMDTstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutPMDTFinal>
end define

define procedure <RingMeOutPMDTFinal>
	set <Money; +%Refund%>
	set <PMDTstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutSBFD>
	setvar <Refund; ~SellNumber~*~SBFDstat~> 
	if has <SBFDstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutSBFDFinal>
end define

define procedure <RingMeOutSBFDFinal>
	set <Money; +%Refund%>
	set <SBFDstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutSCPR>
	setvar <Refund; ~SellNumber~*~SCPRstat~> 
	if has <SCPRstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutSCPRFinal>
end define

define procedure <RingMeOutSCPRFinal>
	set <Money; +%Refund%>
	set <SCPRstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutSOHT>
	setvar <Refund; ~SellNumber~*~SOHTstat~> 
	if has <SOHTstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutSOHTFinal>
end define

define procedure <RingMeOutSOHTFinal>
	set <Money; +%Refund%>
	set <SOHTstock; -~SellNumber~>
	}
end define

define procedure <RingMeOutTLBB>
	setvar <Refund; ~SellNumber~*~TLBBstat~> 
	if has <TLBBstock; -SellNumber> then msg <You don't have that much stock!> else do <RingMeOutTLBBFinal>
end define

define procedure <RingMeOutTLBBFinal>
	set <Money; +%Refund%>
	set <TLBBstock; -~SellNumber~>
	}
end define




define procedure <StockReport>
	clear
	do <CalcChanges>
	do <CalcStats>
	do <DetermLow>
	do <DetermHigh>
	msg <Here is the present stock report...>
	msg <Bloated Colon Baked Beans: %BCBBstat% dollars/share (~BCBBchange~)>
	msg <Laughing Jacks Antidepressants: %LJADstat% dollars/share (~LJADchange~)>
	msg <Pizza Face Pimple Cream: %PFPCstat% dollars/share (~PFPCchange~)>
	msg <Psycho Mutt Dog Treats: %PMDTstat% dollars/share (~PMDTchange~)>
	msg <Sea Bass Feminine Deodorant: %SBFDstat% dollars/share (~SBFDchange~)>
	msg <Skull Crusher Pain Reliever: %SCPRstat% dollars/share (~SCPRchange~)>
	msg <Sinead O Connor Hair Tonic: %SOHTstat% dollars/share (~SOHTchange~)>
	msg <Tough Luck Bail Bonds: %TLBBstat% dollars/share (~TLBBchange~)>
end define

define procedure <CalcChanges>
setvar <ratel; $rand(-7;-1)$>
setvar <rateh; $rand(1;7)$>
set <BCBBchange; =$rand(%ratel%;%rateh%)$>
set <LJADchange; =$rand(%ratel%;%rateh%)$>
set <PFPCchange; =$rand(%ratel%;%rateh%)$>
set <PMDTchange; =$rand(%ratel%;%rateh%)$>
set <SBFDchange; =$rand(%ratel%;%rateh%)$>
set <SCPRchange; =$rand(%ratel%;%rateh%)$>
set <SOHTchange; =$rand(%ratel%;%rateh%)$>
set <TLBBchange; =$rand(%ratel%;%rateh%)$>
end define

define procedure <CalcStats>
set <BCBBstat; +BCBBchange>
set <LJADstat; +LJADchange>
set <PFPCstat; +PFPCchange>
set <PMDTstat; +PMDTchange>
set <SBFDstat; +SBFDchange>
set <SCPRstat; +SCPRchange>
set <SOHTstat; +SOHTchange>
set <TLBBstat; +TLBBchange>
end define

define procedure <DetermLow>
if has <BCBBstat; -1> then set <BCBBstat; =1>
setvar <BCBBstat; ~BCBBstat~>
if has <LJADstat; -1> then set <LJADstat; =1>
setvar <LJADstat; ~LJADstat~>
if has <PFPCstat; -1> then set <PFPCstat; =1>
setvar <PFPCstat; ~PFPCstat~>
if has <PMDTstat; -1> then set <PMDTstat; =1>
setvar <PMDTstat; ~PMDTstat~>
if has <SBFDstat; -1> then set <SBFDstat; =1>
setvar <SBFDstat; ~SBFDstat~>
if has <SCPRstat; -1> then set <SCPRstat; =1>
setvar <SCPRstat; ~SCPRstat~>
if has <SOHTstat; -1> then set <SOHTstat; =1>
setvar <SOHTstat; ~SOHTstat~>
if has <TLBBstat; -1> then set <TLBBstat; =1>
setvar <TLBBstat; ~TLBBstat~>
end define

define procedure <DetermHigh>
if has <BCBBstat; +50> then set <BCBBstat; =50>
setvar <BCBBstat; ~BCBBstat~>
if has <LJADstat; +50> then set <LJADstat; =50>
setvar <LJADstat; ~LJADstat~>
if has <PFPCstat; +50> then set <PFPCstat; =50>
setvar <PFPCstat; ~PFPCstat~>
if has <PMDTstat; +50> then set <PMDTstat; =50>
setvar <PMDTstat; ~PMDTstat~>
if has <SBFDstat; +50> then set <SBFDstat; =50>
setvar <SBFDstat; ~SBFDstat~>
if has <SCPRstat; +50> then set <SCPRstat; =50>
setvar <SCPRstat; ~SCPRstat~>
if has <SOHTstat; +50> then set <SOHTstat; =50>
setvar <SOHTstat; ~SOHTstat~>
if has <TLBBstat; +50> then set <TLBBstat; =50>
setvar <TLBBstat; ~TLBBstat~>
end define

define procedure <winner>
msg <Your final score is ~Score~ points!>
playerwin
end define

define text <intro>
Welcome to the wonderful world of commodities trading. Your objective: Parle your 100 dollars into 5000 dollars! Simply, type "Buy" or "Sell" to initiate a trade, choose the commodity you want to trade, and select the number of shares. When you have finished your trading, type "Next" to see how the market changes. Keep doing this until you win. If you get tired just go to the street to exit the game. Good Luck!
end define

define text <help>

Your objective: Parle your 100 dollars into 5000 dollars! 

Simply, type "Buy" or "Sell" to initiate a trade, choose the commodity you want to trade, and select the number of shares. When you have finished your trading, type "Next" to see how the market changes. Keep doing this until you win. If you get tired just go to the street to exit the game. Good Luck!

end define

define text <win>
YOU DID IT! Congratulations! Now you can put your kids in college...for a week, maybe...at a community college. Man, what a lousy ending! Oh, well. Thanks for playing.
end define

define text <lose>
Better luck, next time. Come back soon!
end define